POST api/PolicyAICallLog/UpdateElastic
Update policy AI log record.
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "5ffde364-7a9f-44c5-b40f-2522edd67db3",
"aiVendor": 1,
"lastCallTime": "2026-10-10T13:47:29.9994387-05:00",
"policyId": "7b91d90e-b987-4a4b-9eae-d095c0e501fd",
"agencyId": "248fed70-fd6d-4f64-82c6-83de57df92a3",
"callId": "sample string 5",
"userId": "893ec072-2d9a-4c50-9921-582307323719",
"createDate": "2026-10-10T13:47:29.9994387-05:00",
"changeDate": "2026-10-10T13:47:29.9994387-05:00",
"taskId": "e48fc322-b59e-4d64-aedf-d3bd28e6642d",
"callType": 1,
"id": "e62d9f7c-f0e0-4d27-9fb4-89f0ded19a62",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>248fed70-fd6d-4f64-82c6-83de57df92a3</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-10-10T13:47:29.9994387-05:00</ChangeDate> <CreateDate>2026-10-10T13:47:29.9994387-05:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>e62d9f7c-f0e0-4d27-9fb4-89f0ded19a62</Id> <LastCallTime>2026-10-10T13:47:29.9994387-05:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>7b91d90e-b987-4a4b-9eae-d095c0e501fd</PolicyId> <Status>Failed</Status> <TaskId>e48fc322-b59e-4d64-aedf-d3bd28e6642d</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>5ffde364-7a9f-44c5-b40f-2522edd67db3</TruckingCompanyId> <UserId>893ec072-2d9a-4c50-9921-582307323719</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>